Description

When running foreman-rake db:seed, unless this is the first time it has run you will get an error:

rake aborted!

undefined method `resources' for nil:NilClass

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/models/katello/glue/pulp/repo.rb:46:in `ensure_sync_notification'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/db/seeds.rb:45:in `<top (required)>'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/dependencies.rb:245:in `load'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/dependencies.rb:245:in `block in load'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/dependencies.rb:236:in `load_dependency'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/dependencies.rb:245:in `load'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:520:in `load_seed'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_missing'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/lib/katello/engine.rb:

Associated revisions

Revision 2fde733e - 07/14/2014 12:18 PM - Justin Sherrill

fixes #6604 - fixing rake db:seed error

setting User.current was removed by mistake

Revision a42b0507 - 07/14/2014 03:30 PM - Justin Sherrill

Merge pull request #4424 from jlsherrill/6604

fixes #6604 - fixing rake db:seed error

History

#1 - 07/14/2014 12:19 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4424 added

- Pull request deleted ()

#2 - 07/14/2014 04:01 PM - Justin Sherrill

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|2fde733efc840d80ed8e6d51c94833b8db05accc.

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

https://projects.theforeman.org/projects/katello/repository/katello/revisions/2fde733efc840d80ed8e6d51c94833b8db05accc
http://www.tcpdf.org

